using System;
using System.Drawing;
using System.Collections;
using System.Windows.Forms;
using System.Data;

namespace CallAEditor
{
	/// <summary>
	/// Zusammenfassung fr Form1.
	/// </summary>
	public class CallAEditor : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.ListBox editorListBox;
		private System.Windows.Forms.Button callButton;
		private System.Windows.Forms.TextBox phoneTextBox;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.MainMenu mainMenu1;

		private Hashtable editors;

		public CallAEditor()
		{
			editors = new Hashtable();
			editors.Add("Jrgen Seeger","051378820386");
			editors.Add("Henning Behme","051378820374");
			editors.Add("Kersten Auel","051378820367");
			editors.Add("Ralph Hlsenbusch","051378820373");
			editors.Add("Bert Ungerer","051378820368");
			editors.Add("Jrgen Diercks","051378820379");
			editors.Add("Christian Kirsch","051378820590");
			editors.Add("Wolfgang Mhle","051378820384");
			editors.Add("Susanne Nolte","051378820689");
			editors.Add("Andr von Raison","051378820377");
			editors.Add("Ute Roos","051378820535");

			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			// populate listbox
			ICollection keys = this.editors.Keys;
			foreach(string key in keys) 
			{
				this.editorListBox.Items.Add(key);
			}

		}
		/// <summary>
		/// Verwendete Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			base.Dispose( disposing );
		}
		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(CallAEditor));
			this.label1 = new System.Windows.Forms.Label();
			this.editorListBox = new System.Windows.Forms.ListBox();
			this.callButton = new System.Windows.Forms.Button();
			this.phoneTextBox = new System.Windows.Forms.TextBox();
			this.label3 = new System.Windows.Forms.Label();
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 12F, System.Drawing.FontStyle.Regular);
			this.label1.Location = new System.Drawing.Point(16, 8);
			this.label1.Size = new System.Drawing.Size(208, 24);
			this.label1.Text = "iX Telefonbuch";
			this.label1.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// editorListBox
			// 
			this.editorListBox.Location = new System.Drawing.Point(8, 40);
			this.editorListBox.Size = new System.Drawing.Size(224, 114);
			this.editorListBox.SelectedIndexChanged += new System.EventHandler(this.editorListBox_DoubleClick);
			// 
			// callButton
			// 
			this.callButton.Location = new System.Drawing.Point(80, 208);
			this.callButton.Size = new System.Drawing.Size(152, 20);
			this.callButton.Text = "Anrufen...";
			this.callButton.Click += new System.EventHandler(this.callButton_Click);
			// 
			// phoneTextBox
			// 
			this.phoneTextBox.Location = new System.Drawing.Point(80, 168);
			this.phoneTextBox.Size = new System.Drawing.Size(152, 22);
			this.phoneTextBox.Text = "";
			// 
			// label3
			// 
			this.label3.Location = new System.Drawing.Point(16, 168);
			this.label3.Size = new System.Drawing.Size(56, 24);
			this.label3.Text = "Telefon";
			// 
			// CallAEditor
			// 
			this.Controls.Add(this.label3);
			this.Controls.Add(this.phoneTextBox);
			this.Controls.Add(this.callButton);
			this.Controls.Add(this.editorListBox);
			this.Controls.Add(this.label1);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Menu = this.mainMenu1;
			this.Text = "CallAEditor";

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>

		static void Main() 
		{
			Application.Run(new CallAEditor());
		}

		private void editorListBox_DoubleClick(object sender, System.EventArgs e)
		{
			String editorKey = (String) editorListBox.SelectedItem.ToString();
			foreach ( DictionaryEntry editor in this.editors )
			{
				if(editor.Key.Equals(editorKey)) 
				{
					this.phoneTextBox.Text = editor.Value.ToString();
					break;
				}

			}

			/*String editorKey = (String) editorListBox.SelectedValue;
			String editorVal = this.editors[editorKey];
			this.phoneTextBox.Text = "TEST";*/
		}

		private void callButton_Click(object sender, System.EventArgs e)
		{
			if(this.phoneTextBox != null) 
			{
				Phone.MakeCall(this.phoneTextBox.Text);
			} 
			else 
			{
				MessageBox.Show("Please select a editor first!");
			}


		}
	}
}
