using System;
using System.Text;
using System.Runtime.InteropServices;

namespace CallAEditor
{
	/// <summary>
	/// Zusammenfassung fr Phone.
	/// </summary>
	public class Phone
	{
		private static long PMCF_DEFAULT				= 0x00000001;
		private static long PMCF_PROMPTBEFORECALLING	= 0x00000002;

		private struct PhoneMakeCallInfo
		{
			public IntPtr cbSize;
			public IntPtr dwFlags;
			public IntPtr pszDestAddress;
			public IntPtr pszAppName;
			public IntPtr pszCalledParty;
			public IntPtr pszComment;
		} 

		[DllImport("phone.dll")]
		private static extern IntPtr PhoneMakeCall(ref PhoneMakeCallInfo ppmci);

		/// <summary>
		/// Dials the specified phone number.
		/// </summary>
		/// <param name="PhoneNumber">Phone number to dial.</param>
		public static void MakeCall(string PhoneNumber)
		{
			MakeCall(PhoneNumber, false);
		}

		/// <summary>
		/// Dials the specified phone number.
		/// </summary>
		/// <param name="PhoneNumber">Phone number to dial.</param>
		/// <param name="PromptBeforeCall">Prompts the user before the call is placed.</param>
		unsafe public static void MakeCall(string PhoneNumber, bool PromptBeforeCall)
		{
			IntPtr res;

			PhoneNumber += '\0';
			char[] cPhoneNumber = PhoneNumber.ToCharArray();

			fixed (char* pAddr = cPhoneNumber) 
			{
				PhoneMakeCallInfo info = new PhoneMakeCallInfo();
				info.cbSize = (IntPtr)Marshal.SizeOf(info);
				info.pszDestAddress = (IntPtr)pAddr;
				
				if (PromptBeforeCall)
				{
					info.dwFlags = (IntPtr)PMCF_PROMPTBEFORECALLING;
				}
				else
				{
					info.dwFlags = (IntPtr)PMCF_DEFAULT;
				}

				res = PhoneMakeCall(ref info);
			}
		} 
	}
}
