using System;
using System.Drawing;
using System.Collections;
using System.Windows.Forms;
using System.Data;

namespace GetStockQuote
{
	/// <summary>
	/// Einfaches Applikation zur Abfrage von Brsenwerten 
	/// ber Web Services bei XMethods.
	/// 
	/// (c) Copyright 2004, Ramon Wartala, Michael Kroll
	/// </summary>
	public class StockQuoteForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.Label symbolLabel;
		private System.Windows.Forms.TextBox symbolTextBox;
		private System.Windows.Forms.Button getButton;
		private System.Windows.Forms.Label valueLabel;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Label valueTextBox;
		private System.Windows.Forms.Panel panel1;
		private System.Windows.Forms.MainMenu mainMenu1;
		private net.xmethods.services.netxmethodsservicesstockquoteStockQuoteService stockQuoteService;
	
		public StockQuoteForm()
		{
			stockQuoteService = new net.xmethods.services.netxmethodsservicesstockquoteStockQuoteService();
			//
			// Erforderlich fr die Windows Form-Designeruntersttzung
			//
			InitializeComponent();

			//
			// TODO: Konstruktorcode hinter dem InitializeComponent-Aufruf hinzufgen
			//
		}
		/// <summary>
		/// Verwendete Ressourcen bereinigen.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			base.Dispose( disposing );
		}
		#region Vom Windows Form-Designer generierter Code
		/// <summary>
		/// Erforderliche Methode fr die Designeruntersttzung. 
		/// Der Inhalt der Methode darf nicht mit dem Code-Editor gendert werden.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(StockQuoteForm));
			this.symbolLabel = new System.Windows.Forms.Label();
			this.symbolTextBox = new System.Windows.Forms.TextBox();
			this.getButton = new System.Windows.Forms.Button();
			this.valueLabel = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.valueTextBox = new System.Windows.Forms.Label();
			this.panel1 = new System.Windows.Forms.Panel();
			this.mainMenu1 = new System.Windows.Forms.MainMenu();
			// 
			// symbolLabel
			// 
			this.symbolLabel.Location = new System.Drawing.Point(16, 64);
			this.symbolLabel.Size = new System.Drawing.Size(56, 24);
			this.symbolLabel.Text = "Symbol";
			this.symbolLabel.ParentChanged += new System.EventHandler(this.label1_ParentChanged);
			// 
			// symbolTextBox
			// 
			this.symbolTextBox.AcceptsReturn = true;
			this.symbolTextBox.AcceptsTab = true;
			this.symbolTextBox.Location = new System.Drawing.Point(80, 64);
			this.symbolTextBox.MaxLength = 3;
			this.symbolTextBox.Size = new System.Drawing.Size(128, 22);
			this.symbolTextBox.Text = "";
			// 
			// getButton
			// 
			this.getButton.Location = new System.Drawing.Point(80, 104);
			this.getButton.Size = new System.Drawing.Size(128, 24);
			this.getButton.Text = "Kurs abfragen...";
			this.getButton.Click += new System.EventHandler(this.getButton_Click);
			// 
			// valueLabel
			// 
			this.valueLabel.Location = new System.Drawing.Point(8, 8);
			this.valueLabel.Size = new System.Drawing.Size(40, 16);
			this.valueLabel.Text = "Wert";
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 10.2F, System.Drawing.FontStyle.Regular);
			this.label1.ForeColor = System.Drawing.SystemColors.ControlText;
			this.label1.Location = new System.Drawing.Point(8, 8);
			this.label1.Size = new System.Drawing.Size(216, 24);
			this.label1.Text = "Aktienkurs WebService";
			this.label1.TextAlign = System.Drawing.ContentAlignment.TopCenter;
			// 
			// valueTextBox
			// 
			this.valueTextBox.Location = new System.Drawing.Point(56, 8);
			this.valueTextBox.Size = new System.Drawing.Size(128, 16);
			this.valueTextBox.Text = "0.0 $";
			// 
			// panel1
			// 
			this.panel1.BackColor = System.Drawing.SystemColors.Window;
			this.panel1.Controls.Add(this.valueLabel);
			this.panel1.Controls.Add(this.valueTextBox);
			this.panel1.Location = new System.Drawing.Point(16, 152);
			this.panel1.Size = new System.Drawing.Size(192, 32);
			// 
			// StockQuoteForm
			// 
			this.BackColor = System.Drawing.SystemColors.Window;
			this.ClientSize = new System.Drawing.Size(234, 262);
			this.Controls.Add(this.panel1);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.getButton);
			this.Controls.Add(this.symbolTextBox);
			this.Controls.Add(this.symbolLabel);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Menu = this.mainMenu1;
			this.Text = "Aktien Kurse";

		}
		#endregion

		/// <summary>
		/// Der Haupteinstiegspunkt fr die Anwendung.
		/// </summary>

		static void Main() 
		{
			Application.Run(new StockQuoteForm());
		}

		private void label1_ParentChanged(object sender, System.EventArgs e)
		{
		
		}

		private void getButton_Click(object sender, System.EventArgs e)
		{
			Cursor.Current = Cursors.WaitCursor;
			try 
			{
				float stockQuote = this.stockQuoteService.getQuote(this.symbolTextBox.Text.ToString());
				if(stockQuote < 0) 
				{
					MessageBox.Show("Symbol nicht definiert!");
				}
				this.valueTextBox.Text = stockQuote.ToString();	
				this.valueTextBox.Text += "$";
			} 
			catch 
			{
				MessageBox.Show("Web services nicht aufrufbar!", this.Text);
			}
			finally
			{
				Cursor.Current = Cursors.Default;
			}
		}
	}
}
